EDIT - bug #6827

The Editor for TaxonNodeRelated GrantedAuthorities is unusable in e4
07/18/2017 10:43 AM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version:

Severity: critical Found in Version:

Description

The editor component is too narrow the CRUD flags can not be edited

History

#1 - 07/18/2017 11:45 AM - Andreas Miiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

Can you add further information. | already edited TaxonNode based granted authorities with 4.8.2 and had no problems. The CRUD fields were easy
to use (in windows). Can you add a screenshot? Also this form was not yet ported to e4 as far as | know.
Please assign to Katja oder Patrick.

#2 - 07/18/2017 01:08 PM - Andreas Kohlbecker
- File GA editor screenshot1.png added

#3 - 07/18/2017 01:11 PM - Andreas Kohlbecker
| added a screenshot taken with Ubuntu 14.04 KDE 4.14.13 GTK 3.0 Adawaita-X-light

#4 - 07/18/2017 01:18 PM - Andreas Kohlbecker
- File GA-editor-screenshot2.png added

Andreas Kohlbecker wrote:

| added a screenshot taken with Ubuntu 14.04 KDE 4.14.13 GTK 3.0 Adawaita-X-light

Switching back to the Oxygen GTK 3.0 theme solved the problem. but it still does not look nice:
the Ul component is not adapting to the size of the containing view.

#5 - 07/18/2017 01:20 PM - Andreas Kohlbecker

- Status changed from New to Worksforme

so this is not a critical problem. please create another ticket for the 'Expand to containing view problem' if needed.

#6 - 07/18/2017 02:23 PM - Andreas Miiller

If this does not work on ALL machines and graphik frameworks | wouldn't say it "worksforme".

What do others think?

Looks like this is a Linux issue, maybe combined with windows builder framework (though Cherian developed it on Linux)

#7 - 07/18/2017 03:18 PM - Andreas Kohlbecker

Andreas Muller wrote:

If this does not work on ALL machines and graphik frameworks | wouldn't say it "worksforme".

It only does not work with a third party GTK 3.0 theme. in general it works for linux, this is why i've chosen worksforme as resolution. third party GTK

3.0 theme are not our concern.

#8 - 08/29/2018 12:46 PM - Andreas Miuller

- Target version deleted (Unassigned CDM tickets)
